/************************************************************
*   Mega8 -   				*
* (c) 2011                              	*
* :                                   	*
*															*
*    	          		*
************************************************************/
/** @file config.c
  * @brief      config.c
  */

#include "includes.h"

/******************************************************************************/
/*                                                        */
/******************************************************************************/
//#pragma location=ADDR_VER_NUM
//unsigned int const __flash current_ver;



/******************************************************************************/
/*                                                                     */
/******************************************************************************/

/** @brief    .
 *  @param                  
 *  @return 
 */
void Init_Device () // 
{
    
    __disable_interrupt(); //      

/*____________________________________________________________________________*/
/**    UART
*/
//    unsigned int UBRR_tmp;
//    //   
//    UBRR_tmp = (int)(((CPU_OSC*1000000)/ 16)/115200 - 1);
//    UBRRH = (char)(UBRR_tmp >> 8 ); //   
//    UBRRL = (char) UBRR_tmp;	    //   
//    //  ,     transmit complete  receive complete
//    UCSRB =  (1<<TXEN ) | (1<<RXEN );// | (1<<TXCIE0 ) | (1<<RXEN0 )|  (1<<RXCIE0 );    	
//    printf_P ("DeviceInit...\n");                
    

/*____________________________________________________________________________*/
/**    
*/        
    __watchdog_reset();             // Reset WDT
    WDTCR |= (1<<WDTOE) | (1<<WDE); // Write logical one to WDTOE and WDE
    WDTCR = 0x00;                   // Turn off WDT 
    
/*____________________________________________________________________________*/
/**     /
*/
	Init_Servo();
	UartInit();
/*____________________________________________________________________________*/
/**     2 -   
*/
    
    //   
    OCR2  = (unsigned int)(MAIN_SYSTEM_CLOCK*CPU_OSC/256);
    TCCR2 = 1<<WGM21 | 1<<CS22 | 1<<CS21;       //  ,   256
    TIMSK  = 1<<OCIE2;                			//       
    

/*____________________________________________________________________________*/
/**    SPI
*/
//    SendByteViaUart (0x34);
    
    
    
}




/** @brief       UART
 *  @param  data -  
 *  @return 
*/
void SendByteViaUart (unsigned char data)
{
    while ( !( UCSRA & (1<<UDRE)) ); //   -                 
    UDR = data;
}

