/** @file config.h
  * @brief      config.h
  */

/******************************************************************************/
/*                                                                 */
/******************************************************************************/
/**    */
#define VERSION_NUM         1

/**       */
#define PAGESIZE            128

/**     */
#define NUM_BOOT_PAGE       32

/**     */
#define NUM_OF_PAGES        128

/**    */
#define NUM_PAGE_REWRITE    (NUM_OF_PAGES-NUM_BOOT_PAGE)

/**        "CRC16"*/
#define ADDR_CRC16          (PAGESIZE * (NUM_PAGE_REWRITE) - 4)

/**      */
#define ADDR_VER_NUM        (PAGESIZE * (NUM_PAGE_REWRITE) - 2)

/**     .<b>     </b>*/
#define CPU_OSC     7.3728

/**      */
#define MAIN_SYSTEM_CLOCK      5000

#define LED         0


/******************************************************************************/
/*                                                        */
/******************************************************************************/
///**   */
//#pragma location=ADDR_VER_NUM
//extern unsigned int const __flash current_ver=0x0001;


/******************************************************************************/
/*                                                                     */
/******************************************************************************/
void Init_Device (); // 
void SendByteViaUart (unsigned char data);


